{% extends '@CadolesCore/base.html.twig' %}

{% block pagewrapper %}
    {% set color = app.session.get('color') %}

    <br>
    <p>
        {% for notice in notices %}
            <div class="panel panel-primary">
                <div class="panel-heading" style="font-size:20px">
                    <i class="fa fa-info fa-fw"></i>  {{ notice.title }}
                </div>

                <div class="panel-body">
                    {{ notice.description | raw }}
                </div>
            </div>
        {% endfor %}

        <form name="toread" method="post">

        <input style="float:left; zoom:1.7;margin:5px 0px 0px 0px;" type="checkbox" id="readcharte" name="readcharte" value="0">
        <span style="float:left; zoom: 1.7;margin-top: 3px;">Accepter la charte d'utilisation</span>
        </form>
        <br>
        <a onClick="haveRead()" style="cursor:pointer; zoom:1.7; float: left;clear:both" class="btn btn-success">Valider</a>
    </p>
{% endblock %}

{% block localjavascript %}
    $('#readcharte').change(function(){
        if($(this).val()=="0")
            $(this).val(1);
        else
            $(this).val(0);
    });

    function haveRead() {
        if($("#readcharte").val()=="1") {
            document.location.href ="{{ path("cadoles_portal_user_notice_haveread",{id:id}) }}";
        }
    }
{% endblock %}